org.apache.lucene.analysis.ko.dict

## Class TokenInfoDictionary

- java.lang.Object
- - org.apache.lucene.analysis.ko.dict.BinaryDictionary
  - - org.apache.lucene.analysis.ko.dict.TokenInfoDictionary

All Implemented Interfaces:
  Dictionary

    public final class TokenInfoDictionary
    extends BinaryDictionary

Binary dictionary implementation for a known-word dictionary model: Words are encoded into an FST mapping to a list of wordIDs.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.lucene.analysis.ko.dict.Dictionary

`Dictionary.Morpheme`

### Field Summary

Fields
`static String` `FST_FILENAME_SUFFIX`

### Fields inherited from class org.apache.lucene.analysis.ko.dict.BinaryDictionary

`DICT_FILENAME_SUFFIX, DICT_HEADER, HAS_READING, HAS_SINGLE_POS, POSDICT_FILENAME_SUFFIX, POSDICT_HEADER, TARGETMAP_FILENAME_SUFFIX, TARGETMAP_HEADER, VERSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`TokenInfoFST` `getFST()`
`static TokenInfoDictionary` `getInstance()`

### Methods inherited from class org.apache.lucene.analysis.ko.dict.BinaryDictionary

`getClassResource, getLeftId, getLeftPOS, getMorphemes, getPOSType, getReading, getResource, getRightId, getRightPOS, getWordCost, lookupWordIds`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FST_FILENAME_SUFFIX

    public static final String FST_FILENAME_SUFFIX

See Also:
  Constant Field Values

### Method Detail

#### getFST

    public TokenInfoFST getFST()

#### getInstance

    public static TokenInfoDictionary getInstance()